<div class="card">
  <div class="card-header bordered">
    <div class="header-block">
      <h3 class="title"> Большая задачка #{{plan.id + ' / ' + plan.orderNumber}} {{plan.date? 'от '+plan.date: ''}}</h3>
    </div>
  </div>
  <div class="card-block">
    <div
      class="alert alert-{{message.type}}"
      *ngIf="message.text"
    >{{message.text}}</div>
    <form #formGroup="ngForm" (ngSubmit)="onSubmit(formGroup)">

      <div
        [ngClass]="{'has-error': name.invalid  && name.touched}"
        class="form-group">
        <label class="control-label" for="e-category-name">Введите название</label>
        <input
          type="text"
          id="e-category-name"
          class="form-control"
          #name="ngModel"
          name="name"
          required
          [ngModel]="plan.name"
        >
        <span
          *ngIf="name.invalid  && name.touched"
          class="form-help-text">Не может быть пустым</span>
      </div>

      <div class="form-group">
        <label class="control-label" for="e-category-value">Стоимость баллов</label>
        <input
          type="number"
          id="e-category-value"
          class="form-control"
          [ngModel]="plan.score"
          name="score"
          #score="ngModel"
          min="1"
        >
      </div>

      <div class="form-group">
        <label class="control-label" for="is-grand">Серьезная задача</label>
        <input id="is-grand"
               style="margin-left: 10px"
               type="checkbox"
               [checked]="plan.isGrand"
               [ngModel]="plan.isGrand"
               name="isGrand"
        />
      </div>

      <div class="form-group">
        <label class="control-label" for="is-finished">Выполнена</label>
        <input id="is-finished"
               style="margin-left: 10px"
               type="checkbox"
               [checked]="plan.isFinished"
               [ngModel]="plan.isFinished"
               name="isFinished"
        />
      </div>

      <button
        type="submit"
        class="btn btn-primary pull-right"
        [disabled]="formGroup.invalid"
      >Обновить
      </button>


      <button
              type="submit"
              class="btn btn-primary pull-right fa fa-minus"
              [disabled]="formGroup.invalid"
              style="margin-right: 10px"
              (click)="performOperation('minus')"
      >
      </button>

      <button
              type="submit"
              class="btn btn-primary pull-right fa fa-plus"
              [disabled]="formGroup.invalid"
              style="margin-right: 5px"
              (click)="performOperation('plus')"
      >
      </button>

      <button
        type="submit"
        class="btn btn-secondary"
        (click)="onCreateNewCat()"
        [disabled]="formGroup.invalid"
      >Создать
      </button>
    </form>
  </div>
</div>
